typedef struct CommRegs {
	UINT32 status0,  status1,   status2,  command0;
	UINT32 diagnostic,   trapStat[2],  loop;
	UINT32 hCmdStat[2], hStat[2];
	UINT32 reserved[7];    /* will become DMA notification/location registers */
	UINT32 taskStateReg, hCmd, trapCmdStat;

/* inter-dsp communication registers: used for the handshake between master and
 * slave DSPs when one sends a list for the other to process.  These registers
 * reside in the IDRAM of each slave DSP.  The addresses are known to both the
 * master and the slaves.  Note that the write register for the slave is the read
 * register for the master and vice versa. 
 *
 * These are NOT used in COMPACT mode, but they are still defined for the
 * alignment of the text, primitive and reply buffers. */
	#if (defined(I_AM_MASTER_DSP) || defined(I_AM_HOST))
		UINT32 interDspHshkWr, interDspHshkRd;
	#elif (defined(I_AM_SLAVE_DSP))
		UINT32 interDspHshkRd, interDspHshkWr;
	#endif

} CommRegs;
